package com.ruoyi.project.VRdemo.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.project.VRdemo.domain.VisitTimes;
import com.ruoyi.project.VRdemo.mapper.VisitTimesMapper;
import com.ruoyi.project.VRdemo.service.IVisitTimesService;

@Service
public class VisitTimesServiceImpl implements IVisitTimesService {

    private final VisitTimesMapper visitTimesMapper;

    VisitTimesServiceImpl(@Autowired VisitTimesMapper visitTimesMapper) {
        this.visitTimesMapper = visitTimesMapper;
    }

    @Override
    public List<VisitTimes> getVisitTimes(int begin, int end) {
        return visitTimesMapper.selectVisitTimesList(begin, end);
    }

    @Override
    public int getSum(int begin, int end) {
        return visitTimesMapper.getSum(begin, end);
    }
    
}
