package com.ruoyi.project.VRdemo.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 博雅集东南亚重要参考文献汇编对象 vr_literature
 *
 * @author ruoyi
 * @date 2024-09-26
 */
public class Literature extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 文献名称
     */
    @Excel(name = "文献名称")
    private String title;

    /**
     * 文献访问地址
     */
    @Excel(name = "文献访问地址")
    private String url;

    /**
     * 出版日期
     */
    @Excel(name = "出版日期", width = 30, dateFormat = "yyyy-MM-dd")
    private String publicationTime;

    /**
     * 排序
     */
    @Excel(name = "排序")
    private Integer sort;

    public Literature() {
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getUrl() {
        return url;
    }

    public void setPublicationTime(String publicationTime) {
        this.publicationTime = publicationTime;
    }

    public String getPublicationTime() {
        return publicationTime;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("title", getTitle())
                .append("url", getUrl())
                .append("publicationTime", getPublicationTime())
                .append("sort", getSort())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy()).append("updateTime", getUpdateTime()).append("updateBy", getUpdateBy()).toString();
    }
}
