package com.ruoyi.project.VRdemo.domain.imData;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.ruoyi.common.utils.excel.DataConverter;
import com.ruoyi.project.VRdemo.domain.Publication;

public class PublicationImData implements BaseImData<PublicationImData, Publication> {

    @ExcelProperty("id")
    private Long id;

    @ExcelProperty("所属区")
    private String affiliation;

    @ExcelProperty("所属地")
    private String location;

    @ExcelProperty("名称")
    private String title;

    @ExcelProperty("链接")
    private String link;

    @ExcelProperty("简介")
    private String introduce;

    @ExcelProperty("排序")
    private Integer sort;

    @ExcelIgnore
    DataConverter<PublicationImData, Publication> converter = new DataConverter<PublicationImData, Publication>() {
        @Override
        protected Publication convert(PublicationImData publicationImData) {
            Publication publication = new Publication();
            publication.setId(publicationImData.getId());
            publication.setAffiliation(publicationImData.getAffiliation());
            publication.setLocation(publicationImData.getLocation());
            publication.setTitle(publicationImData.getTitle());
            publication.setLink(publicationImData.getLink());
            publication.setIntroduce(publicationImData.getIntroduce());
            publication.setSort(publicationImData.getSort());
            return publication;
        }
    };

    @Override
    public DataConverter<PublicationImData, Publication> getConverter() {
        return converter;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setAffiliation(String affiliation) {
        this.affiliation = affiliation;
    }

    public String getAffiliation() {
        return affiliation;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocation() {
        return location;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public void setLink(String link) {
        this.link = link;
    }

    public String getLink() {
        return link;
    }

    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }

    public String getIntroduce() {
        return introduce;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
