package com.ruoyi.project.VRdemo.mapper;

import com.ruoyi.project.VRdemo.domain.FileUpload;
import org.springframework.web.multipart.MultipartFile;
import org.apache.ibatis.annotations.Param;
import java.util.List;

public interface FileUploadMapper{
    /**
     * 查询data
     *
     * @param fileid data主键
     * @return data
     */
    public FileUpload selectFileUploadByfileid(Long fileid);

    /**
     * 查询data列表
     *
     * @param fileUpload data
     * @return data集合
     */
    public List<FileUpload> selectFileUploadList(FileUpload fileUpload);


    /**
     * 新增data
     *
     * @param fileUpload data
     * @return 结果
     */
    public int insertFileUpload(FileUpload fileUpload);

    /**
     * 修改data
     *
     * @param fileUpload data
     * @return 结果
     */
    public int updateFileUpload(FileUpload fileUpload);
//    /**
//     * 修改文件
//     *
//     * @param String filePath
//     * @return 结果
//     */
//    public void deleteFileOnly(Long fileid);

    public boolean  updateFileUploadUrlData(@Param("file")String file,@Param("fileid")Long fileid);


    /**
     * 删除data
     *
     * @param fileid data主键
     * @return 结果
     */
    public int deleteFileUploadfileid(Long fileid);

}
