package com.ruoyi.project.VRdemo.service;/**
 * @Description TODO
 * @Author zhixian li
 * @Date 2023年07月17日 16:31
 */

import com.ruoyi.project.VRdemo.domain.NoteData;
import com.ruoyi.project.VRdemo.domain.vo.NoteDataVo;
import com.ruoyi.project.system.domain.SysUser;

import java.util.List;

/**
 * @ClassName INoteDataService
 * @Description TODO
 * @Author zhixian li 
 * @Date 2023年07月17日 16:31 
 * @Version 1.0
 */
public interface INoteDataService {
    /**
     * 查询文档管理
     *
     * @param id 文档管理主键
     * @return 文档管理
     */
    public NoteData selectNoteDataById(Long id);

    /**
     * 查询文档管理列表
     *
     * @param noteData 文档管理
     * @return 文档管理集合
     */
    public List<NoteData> selectNoteDataList(NoteData noteData);

    /**
     * 新增文档管理
     *
     * @param noteData 文档管理
     * @return 结果
     */
    public int insertNoteData(NoteData noteData);

    /**
     * 修改文档管理
     *
     * @param noteData 文档管理
     * @return 结果
     */
    public int updateNoteData(NoteData noteData);
    /**
     * 校验用户名称是否唯一
     *
     * @param noteData 用户信息
     * @return 结果
     */
    public boolean checkUserNameUnique(NoteData noteData);
    /**
     * 批量删除文档管理
     *
     * @param ids 需要删除的文档管理主键集合
     * @return 结果
     */
    public int deleteNoteDataByIds(Long[] ids);

    /**
     * 删除文档管理信息
     *
     * @param id 文档管理主键
     * @return 结果
     */
    public int deleteNoteDataById(Long id);
    boolean deleteFile(Long ids);
    public List<NoteData> selectNoteDataListVo(NoteDataVo noteDataVo);
}
